<?xml version='1.0' encoding='UTF-8'?>
<Data Id="574">
 <Header>
  <Fields>
   <Name LocalizedTagName="Name" Validation="Standard" Default="NewFlow" Tooltip="Name of the flow" Subtype="inline" Editor="inline" Type="string">E-06</Name>
   <Type Editor="hide">Flow</Type>
   <Description LocalizedTagName="Description" Validation="Standard" Default="" Tooltip="Description of the flow" Subtype="description" Editor="description" Type="string">Objectifs :
>

Objectifs bonus :
> 

Nouveaux éléments :
></Description>
   <TimeStamp ModificationDate="2025-09-05T18:55:23.685Z" Editor="hide"/>
   <FlowFolder Editor="hide">E-06</FlowFolder>
   <LastObjId Editor="hide">79</LastObjId>
   <Locked Editor="hide" LockPassword="">No</Locked>
   <AutomanagedCounter Editor="hide">17</AutomanagedCounter>
   <ImagePath LocalizedTagName="Background image" Validation="Standard" Default="" Opaque="true" Tooltip="Path to the background image file" Subtype="choosefile|Image files (*.png *.jpg)" Editor="none;choosefile|Image files (*.png *.jpg)" Type="string">E:/BlueWest/98-Utilitaires/Grille Switch.png</ImagePath>
   <HeaderImagePath LocalizedTagName="Header image" Validation="Standard" Default="" Opaque="true" Tooltip="Path to the header image file" Subtype="choosefile|Image files (*.png *.jpg)" Editor="none;choosefile|Image files (*.png *.jpg)" Type="string">E:/BlueWest/05-Formation/SWITCH/gabarit header/E/E6.png</HeaderImagePath>
   <MarkerImage LocalizedTagName="Marker image" Validation="Standard" Default="" Opaque="true" Tooltip="Flow marker image to be shown in the Flows pane" Subtype="none" Editor="none;inline;choosefile|Image files (*.png *.jpg)" Type="enum:Priority 1;Priority 2;Priority 3;Priority 4;25% complete;50% complete;75% complete;100% complete;Up arrow;Down arrow;Left arrow;Right arrow;Red flag;Green flag;Blue flag;Black flag">Red flag</MarkerImage>
   <AdvancedTuningEnabled LocalizedTagName="Show advanced element properties" Validation="Standard" Default="No" Tooltip="Set to 'Yes' to unlock:&#xa;- 2 extra performance properties for flow elements that support concurrent processing&#xa;- The Log debug messages property for Node.js scripts/apps." Subtype="inline" Editor="inline" Type="bool">No</AdvancedTuningEnabled>
   <TimeOfDayWindow LocalizedTagName="Time-of-day window" Validation="Standard" Default="No" Tooltip="If set to yes, the flow will be active only during a certain time of the day" Subtype="inline" Editor="inline" Type="bool">No</TimeOfDayWindow>
   <AllowFromHour LocalizedTagName="Allow from (hh:mm)" Validation="Standard" Dependencyvalue="Yes" Tooltip="The time-of-day window during which to keep the flow active" Subtype="inline" Editor="inline" Type="time" Dependency="TimeOfDayWindow" Default="00:00">00:00</AllowFromHour>
   <AllowToHour LocalizedTagName="Allow to (hh:mm)" Validation="Standard" Dependencyvalue="Yes" Tooltip="The time-of-day window during which to keep the flow active" Subtype="inline" Editor="inline" Type="time" Dependency="TimeOfDayWindow" Default="00:00">00:00</AllowToHour>
   <DayOfWeekWindow LocalizedTagName="Day-of-week window" Validation="Standard" Default="No" Tooltip="If set to yes, the flow will be active only during a certain days of the week" Subtype="inline" Editor="inline" Type="bool">No</DayOfWeekWindow>
   <AllowFromDay LocalizedTagName="Allow from" Validation="Standard" Dependencyvalue="Yes" Tooltip="The days of the week window during which to keep the flow active" Subtype="inline" Editor="inline" Type="enum:Monday;Tuesday;Wednesday;Thursday;Friday;Saturday;Sunday" Dependency="DayOfWeekWindow" Default="Monday">Monday</AllowFromDay>
   <AllowToDay LocalizedTagName="Allow to" Validation="Standard" Dependencyvalue="Yes" Tooltip="The days of the week window during which to keep the flow active" Subtype="inline" Editor="inline" Type="enum:Monday;Tuesday;Wednesday;Thursday;Friday;Saturday;Sunday" Dependency="DayOfWeekWindow" Default="Sunday">Sunday</AllowToDay>
   <DayOfMonthWindow LocalizedTagName="Day-of-month window" Validation="Standard" Default="No" Tooltip="If set to yes, the flow will be active only during a certain day of the month" Subtype="inline" Editor="inline" Type="bool">No</DayOfMonthWindow>
   <Day LocalizedTagName="Day" Validation="Standard" Dependencyvalue="Yes" Tooltip="The day of the month during which to keep the flow active, as a number in the range [1 . . 31]" Subtype="inline" Editor="inline" Type="number" Format="[1-9]|0[1-9]|[12][0-9]|3[01]" Dependency="DayOfMonthWindow" Default="1">1</Day>
   <RelativeTo LocalizedTagName="Relative to" Validation="Standard" Dependencyvalue="Yes" Tooltip="Determines whether the day of the month is relative to 'Start of the month’ or 'End of the month'" Subtype="inline" Editor="inline" Type="enum:Start of the month;End of the month" Dependency="DayOfMonthWindow" Default="Start of the month">Start of the month</RelativeTo>
   <Version ModifiedBySwitch="25.07" Editor="hide">39</Version>
  </Fields>
 </Header>
 <Object LocalizedTagName="Subflow-Main" Id="79" Version="4" Class="object">
  <Fields>
   <Type Editor="hide">Subflow-Main</Type>
   <Category Editor="hide">processor</Category>
   <ConnectionType Editor="hide">TrafficLight</ConnectionType>
   <Name LocalizedTagName="Name" Tooltip="Name of the flow element" Editor="inline" Type="string">Subflow-Main</Name>
   <ElementDescription LocalizedTagName="Description" Validation="None" Validate="No" Tooltip="Description of the flow element" Editor="description" Type="string"/>
   <Xpos Default="0" Editor="hide" Type="number">368</Xpos>
   <Ypos Default="0" Editor="hide" Type="number">224</Ypos>
   <ElementIcon Editor="hide"><![CDATA[iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAACXBIWXMAAA7EAAAOxAGVKw4bAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAj1JREFUWIXNlzuaokAUhf8C7Z4QgzGfHWjYJD2uYHQHuANdie5g2IHOCrATDXUHk5NI2l8rdwJFKIHi4bxORFG37jnU61zgH0M1il6HR8C5tcd9BXDeIpmoyHbp1U1pNRKQJX8spkLA6uiwDvesQ2EVek0SZnHa4Z23yHnLXoJiYfklWB0d1EcADDJRS4Sv2jsoWwKAA7ABZtl31jsjNSIqF1BEbkK5gDLkRKRL0JS8HQbxM0F2OVIBf55cE5E0OtmOGoMjFD6xvIF1m8ZYMVKCo+AV8Kg+CTeudA+sQg/Fd8MgH+nOmfQiQwwS4MRPLFB4pTGKaecFXxcA8CNcINrOvY5gyqTvm4jvcdrhKSn8oKXtMk8a+j1wOWr38JuSA3Re8BGKxmkcKne96oiQ7peqaS+DBDjxMz9N+S1DJyj8tuQA1/PuG0IcsxfE8taWPIGAMUeFGVmtv/4mQGHM0dQNfzsqBMSNrLUISsyXklmApV4fFnC5HY0CytdI8FgdW8/C1XQ8Q0jUYdxPy6d1uEf3BAf1sQCmbQTETyzIH/OD7TJMGvoSKDYFebw2VdFph1fiBxrHf2RG67BOVaPb8eTzRgKc0ycGDe0Y271wZ+uBA9U1gYMwQ6kZlypMAViSFhg1cUge0j0g3VG2oy7ui8w65NY7o7yASS9qK6IpeXFRahKhWDYUdgCWVeR5AUUihCnf+nPG/WEutgS2y9B2mYu63R+F5ND831A/KSX/BckOr4Omblhnwz1s4X8VvwDGatlwl9uAqwAAAABJRU5ErkJggg==]]></ElementIcon>
   <LogDebugMessages LocalizedTagName="Log debug messages" Validation="None" Tooltip="Defines if an element should log debug messages. If 'Default' is chosen, global preference 'Log debug messages' is used." Subtype="inline" Editor="inline" Type="enum:Default;Yes" Default="Default" Validate="No" DetailedInfo="">Default</LogDebugMessages>
   <AbortTimeoutMinutes LocalizedTagName="Abort after (minutes)" Validation="None" Default="Default" Validate="No" Tooltip="If processing takes longer than this time, it is considered crashed or locked-up and it is aborted (0 means never abort). The default value can be set in the user preferences - Error Handling - Abort processes after (minutes)." Editor="inline;default" Type="number">Default</AbortTimeoutMinutes>
   <IdleAfterJob LocalizedTagName="Idle after job (secs)" Default="0" Validate="Yes" Tooltip="The idle timeout after each job for the script instance" Editor="inline" Type="number">5</IdleAfterJob>
   <NumberOfSlots LocalizedTagName="Number of slots" Default="Default" Validate="Yes" Tooltip="The number of slots available for the script instance. The default value can be set in the user preferences - processing - Default number of slots for concurrent processing." Subtype="inline" Editor="inline;default" Type="number">Default</NumberOfSlots>
   <IncomingConnections RequireAtLeastOne="Yes" Editor="hide">Yes</IncomingConnections>
   <OutgoingConnections RequireAtLeastOne="Yes" DetailedInfo="" Editor="hide">Unlimited</OutgoingConnections>
   <subflow LocalizedTagName="Subflow" Validation="Standard" SelectFromLibMes="Select a flow" Tooltip="Select a &quot;subflow&quot; in which incoming jobs should be sent.&#xa;If the specified flow does not exist, job will fail.&#xa;If it is not activated or has no “Subflow - Receive” element, incoming jobs are sent to problem jobs." Subtype="inline" UserDefined="true" Type="string" Editor="inline;askplugin;sltextwithvar;scriptexp" Default="" DetailedInfo=""/>
   <parameters LocalizedTagName="Subflow parameters" Validation="None" Tooltip="Optionally, you can specify &quot;parameters&quot; that may be used in the &quot;subflow&quot;.&#xa;Those parameters will be set as private data keys.&#xa;&#xa;Just set them as you would do with private data keys in a flow folder.&#xa;e.g.:&#xa;&#x9;param1=value1&#xa;&#x9;param2=value2&#xa;&#x9;param3=value3&#xa;&#x9;..." Subtype="inline" UserDefined="true" Type="string" Editor="inline;sltextwithvar;description;mltextwithvar;scriptexp" Default="" DetailedInfo=""/>
   <timeout LocalizedTagName="Timeout" Validation="Standard" Tooltip="Amount of time (in minutes) after which an incoming job will fail if it has not been sent to the corresponding &quot;Subflow - Receive&quot; element.&#xa;A value of 0 means this option is disabled." Subtype="inline" UserDefined="true" Type="number" Editor="inline;sltextwithvar;scriptexp" Default="5" DetailedInfo="">5</timeout>
  </Fields>
 </Object>
</Data>
